Bug 1031367 - X/Gnome3 gets DPI detection wrong
X/Gnome3 gets DPI detection wrong
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
20
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-17 05:24 EST by Thomas Groß
Modified: 2015-06-29 08:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:57:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log (45.52 KB, text/x-log)
2013-11-17 05:24 EST, Thomas Groß
no flags Details
Gnome Display Configuration Panel (163.27 KB, image/png)
2013-11-17 05:27 EST, Thomas Groß
no flags Details
Xorg.log with intel driver loading correctly (46.03 KB, text/x-log)
2013-11-17 05:56 EST, Thomas Groß
no flags Details

  None (edit)
Description Thomas Groß 2013-11-17 05:24:35 EST
Created attachment 825117 [details]
Xorg.log

Description of problem:
I updated to Fedora Core 20 via fedup.
After the update i get extremely big fonts and window borders in gnome and in the login screen.
It looks like gnome detects my 21' monitor as a 7' monitor. Resolution is detected correctly.

> xrdb -query | grep dpi
Xft.dpi:	192


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot system
2. Login screen has big fonts
3.

Actual results:
DPI set to 192dpi

Expected results:
DPI set to 96 dpi

Additional info:
Comment 1 Thomas Groß 2013-11-17 05:27:36 EST
Created attachment 825119 [details]
Gnome Display Configuration Panel

My monitor is a Samsung SncMaster T240.
Comment 2 Thomas Groß 2013-11-17 05:55:30 EST
It looks to me, that the intel driver had some wayland issues and X did a fallback on the vesa drivers. With the latest X updates this no longer happens.
But the DPI Problem persists. I have added a new Xork.log.
Comment 3 Thomas Groß 2013-11-17 05:56:43 EST
Created attachment 825120 [details]
Xorg.log with intel driver loading correctly
Comment 4 Fedora End Of Life 2015-05-29 05:46:55 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-06-29 08:57:18 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.